@echo OFF
rem  * *******************************************************************
rem  *               BINBITE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Describe how to create, define, access or process Text
rem  *          strings or tables with binary values.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *          ************
rem  *          * BINBITE2 *
rem  *          ********cmd*
rem  *               *
rem  *               *
rem  *          ************     ************
rem  *          * BINBITC2 *-----*  SYSOUT  *
rem  *          ********cbl*  *  ************
rem  *               *        *
rem  *               *        *  ************
rem  *               *        *--* BINBITTX *
rem  *               *           *******rseq*
rem  *               *
rem  *          ************
rem  *          *   EOJ    *
rem  *          ********cbl*
rem  *
rem  * *******************************************************************
rem  * Step 1, Delete any previously created file...
rem  *
     set CmdName=BinBite2
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:DeleteQSAM
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set BINBITTX=%BaseLib1%\DATA\Wrk1\BINBITTX.DAT
     if exist %BINBITTX% del %BINBITTX%
rem  *
rem  * *******************************************************************
rem  * Step 2, Edit input, create a new output file...
rem  *
:ExecuteTableRoutine
     call SimoNOTE "Identify JobStep ExecuteTableRoutine"
     run BINBITC2
     if not ERRORLEVEL = 0 set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
rem  *
     if exist %BINBITTX% goto :EojAok
     set JobStatus=0020
     goto :EojNok
:EojAok
     call SimoNOTE "Produced DataSet %BINBITTX%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
