//BINBITJ2 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       BINBITJ2.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Describe how to create, define, access or process Text
//*          strings or tables with binary values.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The job will use a COBOL copy file to define a Binary Text String
//* that is redefined as a table. It will then create a Binary text
//* string of the X'00' through X'FF' and build a new copy file. Next,
//* the program will build a 512 byte text string for consisting of two
//* (2) byte pairs that represent a single hexadecimal byte and may be
//* displayed or printed.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Net Express.
//*
//*          ************
//*          * BINBITJ2 *
//*          ********jcl*
//*               *
//*               *
//*          ************     ************
//*          * BINBITC2 *-----*  SYSOUT  *
//*          ********cbl*  *  ************
//*               *        *
//*               *        *  ************
//*               *        *--* BINBITTX *
//*               *           *******rseq*
//*               *
//*          ************
//*          *   EOJ    *
//*          ********cbl*
//*
//* *******************************************************************
//* Step   1   Delete any previously created file...
//*
//CLEANUP1 EXEC PGM=IEFBR14
//BINBITTX DD  DSN=SIMOTIME.DATA.BINBITTX,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step   2   Create two Record Sequential Files (RSEQ)...
//*
//BINBITS1 EXEC PGM=BINBITC2
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//BINBITTX DD  DSN=SIMOTIME.DATA.BINBITTX,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//
